"""
Django settings for goleHI project.

Generated by 'django-admin startproject' using Django 2.1.4.

For more information on this file, see
https://docs.djangoproject.com/en/2.1/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/2.1/ref/settings/
"""

import os

# Build paths inside the project like this: os.path.join(BASE_DIR, ...)
BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))

# Quick-start development settings - unsuitable for production
# See https://docs.djangoproject.com/en/2.1/howto/deployment/checklist/

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = 'o0^i8lvzptjkdna^*3lsf=_@zr-9wyx$###+8cdqkq80f)a#sd'

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = False

ALLOWED_HOSTS = ['*']

# Application definition

INSTALLED_APPS = [
        'django_tables2',
        'front.apps.FrontConfig',
        'service.apps.ServiceConfig',
        'crispy_forms',
        'django.contrib.admin',
        'django.contrib.auth',
        'django.contrib.contenttypes',
        'django.contrib.sessions',
        'django.contrib.messages',
        'django.contrib.staticfiles',
        'hostInventory',
        'netbox',
        'sender',
        'django_filters',
        'utilities',
        'mathfilters',
        'rest_framework',
        'drf_yasg',
        #'hypervisor',
]

MIDDLEWARE = [
    'django.middleware.security.SecurityMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.common.CommonMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'django.middleware.clickjacking.XFrameOptionsMiddleware',
]

ROOT_URLCONF = 'goleHI.urls'

TEMPLATES_DIR = BASE_DIR + '/templates'
TEMPLATES = [
    {
        'BACKEND': 'django.template.backends.django.DjangoTemplates',
        'DIRS': [TEMPLATES_DIR],
        'APP_DIRS': True,
        'OPTIONS': {
            'context_processors': [
                'django.template.context_processors.debug',
                'django.template.context_processors.request',
                'django.contrib.auth.context_processors.auth',
                'django.contrib.messages.context_processors.messages',
                'utilities.context_processors.settings',
            ],
        },
    },
]

WSGI_APPLICATION = 'goleHI.wsgi.application'

# Database
# https://docs.djangoproject.com/en/2.1/ref/settings/#databases
DATABASES = {
    'default': {
        'ENGINE': str(os.getenv('ENGINE')),
        'NAME': str(os.getenv('DBNAME')),
        'USER': str(os.getenv('DBUSER')),
        'PASSWORD': str(os.getenv('DBPASSWORD')),
        'HOST': str(os.getenv('DBHOST')),
        'PORT': int(os.getenv('DBPORT')),
    }
}



# Password validation
# https://docs.djangoproject.com/en/2.1/ref/settings/#auth-password-validators

AUTH_PASSWORD_VALIDATORS = [
    {
        'NAME': 'django.contrib.auth.password_validation.UserAttributeSimilarityValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.MinimumLengthValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.CommonPasswordValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.NumericPasswordValidator',
    },
]

BASE_PATH = ''
if BASE_PATH:
        BASE_PATH = BASE_PATH.strip('/') + '/'  # Enforce trailing slash only

# Internationalization
# https://docs.djangoproject.com/en/2.1/topics/i18n/

LANGUAGE_CODE = 'en-us'

TIME_ZONE = str(os.getenv('TIME_ZONE', 'UTC'))

USE_I18N = True

USE_L10N = True

USE_TZ = True


# Static files (CSS, JavaScript, Images)
# https://docs.djangoproject.com/en/2.1/howto/static-files/

STATIC_URL = '/static/'

STATIC_ROOT = '/opt/hi-manager/goleHI/static/'

NETBOX_ENV = {
    'host': os.getenv('NETBOX_HOST', 'netbox-demo.blacktourmaline.com.br'),
    'port': int(os.getenv('NETBOX_PORT', '443')),
    'token': os.getenv('NETBOX_TOKEN', '59d624b33fd793731bbc7065b164dcfa6c6ca578'),
    'name': os.getenv('NETBOX_NAME', 'netbox-demo.blacktourmaline.com.br')
}
try:
    NETBOX_ENV['ssl'] = os.getenv('NETBOX_SSL')
except:
    NETBOX_ENV['ssl'] = False

NMAP_ENV = {
    'name': os.getenv('NMAP_NAME', 'test-python-nmap-rest-api'),
    'host': os.getenv('NMAP_HOST', '127.0.0.1'),
    'port': os.getenv('NMAP_PORT', '8001')
}

KAFKA_ENV = {
    'name': os.getenv('KAFKA_NAME', 'test-kafka'),
    'uri': os.getenv('KAFKA_URI', 'kafka.example.com:9092'),
}


ADMAPPING = os.getenv('ADMAPPING', 'http://localhost')

#CRISPY_TEMPLATE_PACK = 'bootstrap4'

LOGIN_REDIRECT_URL = 'hi-home'

LOGO_IMG = os.getenv('LOGO_IMG', 'https://nmap.org/images/sitelogo.png')

MEDIA_ROOT = os.environ.get('MEDIA_ROOT', os.path.join(BASE_DIR, 'media'))

MEDIA_URL = '/media/'

VERSION = '1.4'

